package com.steerinfo.meterwork.meterworkonline.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="在线状态")
public class MeterWorkOnline implements IBasePO<String> {
    /**
     * 用户id(USER_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="用户id",required=true)
    private String userId;

    /**
     * 最后在线时间(LAST_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="最后在线时间",required=false)
    private Date lastTime;

    /**
     * 是否接管 0标识还没接管，1已接管(WORK_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否接管 0标识还没接管，1已接管",required=false)
    private String workFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.userId;
    }

    @Override
    public void setId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public String getWorkFlag() {
        return workFlag;
    }

    public void setWorkFlag(String workFlag) {
        this.workFlag = workFlag == null ? null : workFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", userId=").append(userId);
        sb.append(", lastTime=").append(lastTime);
        sb.append(", workFlag=").append(workFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}